You are viewing a plain text version of this content. The canonical link for it is here.
Posted to dev@apr.apache.org by Blair Zajac <bl...@orcaware.com> on 2002/02/09 04:15:41 UTC

[PATCH] Enabloe autoconf 2.52{f,g} builds

Skip that previous patch to fail of autoconf 2.52{f,g}/  This patch enables
APR to build with those versions by using abs_builddir instead of top_builddir
to find libtool.

It also has build/buildcheck.sh print the entire autoconf version instead of
trimming the trailing [a-z] and it introduces consitent 4 space spacing.

Best,
Blair

-- 
Blair Zajac <bl...@orcaware.com>
Web and OS performance plots - http://www.orcaware.com/orca/



Index: CHANGES
===================================================================
RCS file: /home/cvspublic/apr/CHANGES,v
retrieving revision 1.217
diff -u -r1.217 CHANGES
--- CHANGES	7 Feb 2002 22:51:25 -0000	1.217
+++ CHANGES	9 Feb 2002 03:03:43 -0000
@@ -1,4 +1,7 @@
-Changes with APR b1  
+Changes with APR b1
+
+  *) Enable autoconf 2.52{f,g} build support.  Minor cleanups of
+     build/buildcheck.sh.  [Blair Zajac <bl...@orcaware.com>]
 
   *) Disable SHMEM_MMAP_ZERO on HPUX 11.x where it is not supported.
      Use SHMEM_SHMGET_ANON instead.  [Aaron Bannert]
Index: configure.in
===================================================================
RCS file: /home/cvspublic/apr/configure.in,v
retrieving revision 1.405
diff -u -r1.405 configure.in
--- configure.in	7 Feb 2002 22:48:17 -0000	1.405
+++ configure.in	9 Feb 2002 03:03:43 -0000
@@ -48,6 +48,8 @@
 dnl Absolute source/build directory
 abs_srcdir=`(cd $srcdir && pwd)`
 abs_builddir=`pwd`
+AC_SUBST(abs_srcdir)
+AC_SUBST(abs_builddir)
 
 if test "$abs_builddir" != "$abs_srcdir"; then
   USE_VPATH=1
@@ -58,7 +60,6 @@
 dnl
 top_builddir="$abs_builddir"
 AC_SUBST(top_builddir)
-AC_SUBST(abs_srcdir)
 
 dnl Directory containing apr build macros, helpers, and make rules
 dnl NOTE: make rules (rules.mk) will be in the builddir for vpath
Index: build/buildcheck.sh
===================================================================
RCS file: /home/cvspublic/apr/build/buildcheck.sh,v
retrieving revision 1.5
diff -u -r1.5 buildcheck.sh
--- build/buildcheck.sh	12 Jul 2001 07:52:25 -0000	1.5
+++ build/buildcheck.sh	9 Feb 2002 03:03:43 -0000
@@ -3,49 +3,51 @@
 echo "buildconf: checking installation..."
 
 # autoconf 2.13 or newer
-ac_version=`autoconf --version 2>/dev/null|head -1|sed -e 's/^[^0-9]*//' -e
's/[a-z]* *$//'`
+ac_version=`autoconf --version 2>/dev/null|head -1|sed -e 's/^[^0-9]*//'`
 if test -z "$ac_version"; then
-echo "buildconf: autoconf not found."
-echo "           You need autoconf version 2.13 or newer installed"
-echo "           to build Apache from CVS."
-exit 1
+    echo "buildconf: autoconf not found."
+    echo "           You need autoconf version 2.13 or newer installed"
+    echo "           to build Apache from CVS."
+    exit 1
 fi
-IFS=.; set $ac_version; IFS=' '
+
+ac_maj_min_version=`echo $ac_version | sed -e 's/[a-z]* *$//'`
+IFS=.; set $ac_maj_min_version; IFS=' '
 if test "$1" = "2" -a "$2" -lt "13" || test "$1" -lt "2"; then
-echo "buildconf: autoconf version $ac_version found."
-echo "           You need autoconf version 2.13 or newer installed"
-echo "           to build Apache from CVS."
-exit 1
+    echo "buildconf: autoconf version $ac_version found."
+    echo "           You need autoconf version 2.13 or newer installed"
+    echo "           to build Apache from CVS."
+    exit 1
 else
-echo "buildconf: autoconf version $ac_version (ok)"
+    echo "buildconf: autoconf version $ac_version (ok)"
 fi
 
 # libtool 1.3.3 or newer
 libtool=`build/PrintPath glibtool libtool`
 lt_pversion=`$libtool --version 2>/dev/null|sed -e 's/^[^0-9]*//' -e 's/[-
].*//'`
 if test -z "$lt_pversion"; then
-echo "buildconf: libtool not found."
-echo "           You need libtool version 1.3.3 or newer installed"
-echo "           to build Apache from CVS."
-exit 1
+    echo "buildconf: libtool not found."
+    echo "           You need libtool version 1.3.3 or newer installed"
+    echo "           to build Apache from CVS."
+    exit 1
 fi
 lt_version=`echo $lt_pversion|sed -e 's/\([a-z]*\)$/.\1/'`
 IFS=.; set $lt_version; IFS=' '
 lt_status="good"
 if test "$1" = "1"; then
-   if test "$2" -lt "3"; then
-      lt_status="bad"
-   else
-      if test "$2" = "3"; then
-         if test -z "$3" -o "$3" = "1" -o "$3" = "2"; then
-            lt_status="bad"
-         fi
-      fi
-   fi
+    if test "$2" -lt "3"; then
+        lt_status="bad"
+    else
+        if test "$2" = "3"; then
+            if test -z "$3" -o "$3" = "1" -o "$3" = "2"; then
+                lt_status="bad"
+            fi
+        fi
+    fi
 fi
 if test $lt_status = "good"; then
-   echo "buildconf: libtool version $lt_pversion (ok)"
-   exit 0
+    echo "buildconf: libtool version $lt_pversion (ok)"
+    exit 0
 fi
 
 echo "buildconf: libtool version $lt_pversion found."
Index: build/rules.mk.in
===================================================================
RCS file: /home/cvspublic/apr/build/rules.mk.in,v
retrieving revision 1.21
diff -u -r1.21 rules.mk.in
--- build/rules.mk.in	29 Oct 2001 12:47:13 -0000	1.21
+++ build/rules.mk.in	9 Feb 2002 03:03:43 -0000
@@ -61,7 +61,7 @@
 #
 # Configuration variables
 #
-apr_builddir=@top_builddir@
+apr_builddir=@abs_builddir@
 apr_builders=@apr_builders@
 
 CC=@CC@